%define upstream_name Dist-Zilla-Role-FileWatcher
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Receive notification when something changes a file's contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

%rename perl-Dist-Zilla-Role-File-ChangeNotification

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Receive notification when something changes a file's contents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1809171
- Mageia 9 Mass Rebuild
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- Dist-Zilla-Role-File-ChangeNotification got renamed Dist-Zilla-Role-FileWatcher
+ tv <tv>
- Dist-Zilla-Role-File-ChangeNotification got renamed Dist-Zilla-Role-FileWatcher

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-6.mga7
+ Revision: 1283376
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-5.mga7
+ Revision: 1026678
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 948344
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 750018
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 0.5.0-1.mga5
+ Revision: 668738
- update to 0.005

* Sat Feb 08 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 586313
- imported package perl-Dist-Zilla-Role-File-ChangeNotification

